> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/monitoring-and-metadata/alert-type-configs.md).

# Alert Type Configs

Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform.

## GET /alert\_type\_configs/config\_key={config\_key}/organisation\_id={organisation\_id}/alert\_type={alert\_type}

> Get alert type config by id

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Alert Type Configs","description":"Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}":{"get":{"description":"","parameters":[{"explode":false,"schema":{"type":"string"},"in":"path","required":true,"style":"simple","description":"Alert type config key","name":"config_key"},{"schema":{"type":"integer","format":"int64"},"required":true,"name":"organisation_id","in":"path","style":"simple","explode":false,"description":"Organisation owning the alerts"},{"in":"path","style":"simple","name":"alert_type","schema":{"$ref":"#/components/schemas/AlertType"},"explode":false,"required":true,"description":"The type of the alerts"}],"summary":"Get alert type config by id","operationId":"getAlertTypeConfig","tags":["Alert Type Configs"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AlertTypeConfigResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}}}}},"components":{"schemas":{"AlertType":{"type":"string","enum":["SEGMENT_VOLUME_DROP","SEGMENT_COMPUTATION_ERROR","SEGMENT_DEFINITION_ERROR","SEGMENT_INITIAL_LOADING"],"readOnly":false},"AlertTypeConfigResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"config_value":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"alert_type":{"$ref":"#/components/schemas/AlertType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"config_key":{"type":"string","readOnly":true}},"required":["alert_type","archived","config_key","config_value","created_by","created_ts","organisation_id"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /alert\_type\_configs/config\_key={config\_key}/organisation\_id={organisation\_id}/alert\_type={alert\_type}

> Create an alert type config

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Alert Type Configs","description":"Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}":{"post":{"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AlertTypeConfigResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Alert Type Configs"],"requestBody":{"description":"The alert type config to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertTypeConfigResource"}}},"required":true},"summary":"Create an alert type config","description":"","operationId":"createAlertTypeConfig","parameters":[{"required":true,"name":"config_key","in":"path","style":"simple","explode":false,"description":"Alert type config key","schema":{"type":"string"}},{"style":"simple","name":"organisation_id","in":"path","explode":false,"schema":{"type":"integer","format":"int64"},"description":"Organisation owning the alerts","required":true},{"description":"The type of the alerts","style":"simple","explode":false,"required":true,"in":"path","schema":{"$ref":"#/components/schemas/AlertType"},"name":"alert_type"}]}}},"components":{"schemas":{"AlertTypeConfigResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"config_value":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"alert_type":{"$ref":"#/components/schemas/AlertType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"config_key":{"type":"string","readOnly":true}},"required":["alert_type","archived","config_key","config_value","created_by","created_ts","organisation_id"]},"AlertType":{"type":"string","enum":["SEGMENT_VOLUME_DROP","SEGMENT_COMPUTATION_ERROR","SEGMENT_DEFINITION_ERROR","SEGMENT_INITIAL_LOADING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /alert\_type\_configs/config\_key={config\_key}/organisation\_id={organisation\_id}/alert\_type={alert\_type}

> Update an alert type config

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Alert Type Configs","description":"Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}":{"put":{"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/AlertTypeConfigResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"updateAlertTypeConfig","requestBody":{"description":"The alert type config to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertTypeConfigResource"}}},"required":true},"summary":"Update an alert type config","parameters":[{"description":"Alert type config key","explode":false,"style":"simple","in":"path","schema":{"type":"string"},"name":"config_key","required":true},{"description":"Organisation owning the alerts","name":"organisation_id","schema":{"type":"integer","format":"int64"},"required":true,"explode":false,"style":"simple","in":"path"},{"style":"simple","required":true,"name":"alert_type","description":"The type of the alerts","schema":{"$ref":"#/components/schemas/AlertType"},"in":"path","explode":false}],"tags":["Alert Type Configs"]}}},"components":{"schemas":{"AlertTypeConfigResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"config_value":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"alert_type":{"$ref":"#/components/schemas/AlertType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"config_key":{"type":"string","readOnly":true}},"required":["alert_type","archived","config_key","config_value","created_by","created_ts","organisation_id"]},"AlertType":{"type":"string","enum":["SEGMENT_VOLUME_DROP","SEGMENT_COMPUTATION_ERROR","SEGMENT_DEFINITION_ERROR","SEGMENT_INITIAL_LOADING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /alert\_type\_configs/config\_key={config\_key}/organisation\_id={organisation\_id}/alert\_type={alert\_type}

> Delete an alert type config

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Alert Type Configs","description":"Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/alert_type_configs/config_key={config_key}/organisation_id={organisation_id}/alert_type={alert_type}":{"delete":{"summary":"Delete an alert type config","tags":["Alert Type Configs"],"parameters":[{"style":"simple","explode":false,"name":"config_key","in":"path","required":true,"description":"Alert type config key","schema":{"type":"string"}},{"description":"Organisation owning the alerts","style":"simple","in":"path","schema":{"type":"integer","format":"int64"},"name":"organisation_id","required":true,"explode":false},{"schema":{"$ref":"#/components/schemas/AlertType"},"style":"simple","description":"The type of the alerts","explode":false,"required":true,"name":"alert_type","in":"path"}],"operationId":"deleteAlertTypeConfig","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"description":""}}},"components":{"schemas":{"AlertType":{"type":"string","enum":["SEGMENT_VOLUME_DROP","SEGMENT_COMPUTATION_ERROR","SEGMENT_DEFINITION_ERROR","SEGMENT_INITIAL_LOADING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## GET /alert\_type\_configs

> Find alert type configs

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Alert Type Configs","description":"Operations related to Alert Type Configurations that define the types and parameters of alerts available on the platform."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/alert_type_configs":{"get":{"summary":"Find alert type configs","description":"","tags":["Alert Type Configs"],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"type":"array","items":{"$ref":"#/components/schemas/AlertTypeConfigResource"}},"count":{"type":"integer"},"total":{"type":"integer"},"first_result":{"type":"integer"},"max_results":{"type":"integer"}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findAlertTypeConfigs","parameters":[{"style":"form","name":"config_key","explode":true,"in":"query","description":"Alert type config key","schema":{"type":"string"},"required":false},{"in":"query","required":true,"style":"form","name":"organisation_id","schema":{"type":"integer","format":"int64"},"description":"Organisation owning the alerts","explode":true},{"description":"The type of the alerts","in":"query","style":"form","schema":{"$ref":"#/components/schemas/AlertType"},"name":"alert_type","explode":true,"required":false},{"style":"form","in":"query","name":"config_value","explode":true,"description":"The value of the config","schema":{"type":"string"},"required":false},{"style":"form","required":false,"in":"query","schema":{"type":"boolean"},"description":"If true the result will contain only archived alerts","name":"archived","explode":true},{"required":false,"description":"Offset from which the search must be performed","schema":{"type":"integer","format":"int32"},"explode":true,"in":"query","style":"form","name":"first_result"},{"in":"query","schema":{"type":"integer","format":"int32"},"required":false,"style":"form","explode":true,"name":"max_results","description":"Number of maximum items that shall be return by this search"}]}}},"components":{"schemas":{"AlertTypeConfigResource":{"type":"object","properties":{"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"organisation_id":{"type":"string","readOnly":true},"config_value":{"type":"string","readOnly":false},"archived":{"type":"boolean","default":false,"readOnly":false},"alert_type":{"$ref":"#/components/schemas/AlertType"},"created_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"last_modified_by":{"type":"string","readOnly":true},"created_by":{"type":"string","readOnly":true},"config_key":{"type":"string","readOnly":true}},"required":["alert_type","archived","config_key","config_value","created_by","created_ts","organisation_id"]},"AlertType":{"type":"string","enum":["SEGMENT_VOLUME_DROP","SEGMENT_COMPUTATION_ERROR","SEGMENT_DEFINITION_ERROR","SEGMENT_INITIAL_LOADING"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/monitoring-and-metadata/alert-type-configs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
